Skip to main content
PUT
/
apps
/
{appId}
/
extensions
/
stickers
/
v1
/
settings
Stickers extension Update settings
curl --request PUT \
  --url https://apimgmt.cometchat.io/apps/{appId}/extensions/stickers/v1/settings \
  --header 'Content-Type: application/json' \
  --header 'key: <key>' \
  --header 'secret: <secret>' \
  --data '
{
  "appId": "appId_1234",
  "defaultMasterStickersData": [
    {
      "enableFlag": false,
      "id": "1",
      "stickerName": "US Phone numbers",
      "stickerOrder": "",
      "stickerSetId": "sticker_1234",
      "stickerSetName": "good_Sticker",
      "stickerSetOrder": 1,
      "stickerUrl": "https://data-us.cometchat.io/stickers/littledyno/litt_14.png"
    }
  ],
  "customStickersData": [
    {
      "appId": "appId1234",
      "enableFlag": true,
      "stickerName": "goodSticker",
      "stickerOrder": 1,
      "stickerSetId": "stickerSetId1234",
      "stickerSetOrder": 1,
      "stickerSetName": "stickerSetName",
      "stickerUrl": "https://mysite.com/some_sticker.png",
      "id": ""
    }
  ]
}
'
{
  "data": {
    "statusCode": 200,
    "success": true,
    "responseTime": 3.061743974685669,
    "body": {
      "data": {
        "success": true
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Body

application/json
appId
string
default:appId_1234

App Id

defaultMasterStickersData
object[]

Configure the default stickers

customStickersData
object[]

Configure the custom stickers

Response

200 - application/json

Update Data Masking Settings

data
object